SYSTEMD-RESOLVE(1)

BEZEICHNUNG
systemd-resolve - Domain-Namen, IPv4- und IPv6-Adressen, DNS-Ressourcen-Datensätze und -Dienste auflösen

ÜBERSICHT

systemd-resolve [OPTIONEN…] RECHNERNAME…

systemd-resolve [OPTIONEN…] ADRESSE…

systemd-resolve [OPTIONEN…] --type=TYP DOMAIN…

systemd-resolve [OPTIONEN…] --service [[NAME] TYP] DOMAIN

systemd-resolve [OPTIONEN…] --openpgp BENUTZER@DOMAIN

systemd-resolve [OPTIONEN…] --tlsa DOMAIN[:PORT]

systemd-resolve [OPTIONEN…] --statistics

systemd-resolve [OPTIONEN…] --reset-statistics

systemd-resolve [OPTIONEN…] --flush-caches

systemd-resolve [OPTIONEN…] --reset-server-features

systemd-resolve [OPTIONEN…] --status

systemd-resolve [OPTIONEN…] --set-dns=SERVER --set-domain=DOMAIN --set-llmnr=MODUS --set-mdns=MODUS --set-dnssec=MODUS --set-nta=DOMAIN

systemd-resolve [OPTIONEN…] --revert

BESCHREIBUNG

systemd-resolve kann zum Auflösen von Domain-Namen, IPv4- und IPv6- Adressen, DNS-Ressourcendatensätzen und Diensten mit dem systemd-resolved.service(8)-Auflöser-Dienst verwandt werden. Standardmäßig wird die angegebene Liste der Parameter als Rechnernamen aufgelöst und ihre IPv4- und IPv6-Adressen aufgelöst. Falls die angegebenen Parameter als IPv4- oder IPv6-Aktion formatiert sind, erfolgt die umgekehrte Aktion und der Rechnername für die angegebene Adresse wird abgefragt.

Die Ausgabe des Programms enthält Informationen über das für das Nachschlagen verwandte Protokoll und auf welcher Netzschnittstelle die Daten ermittelt wurden. Sie enthält auch Informationen, ob die Informationen authentifiziert ermittelt werden konnten. Alle Daten mit erfolgreicher lokaler DNSSEC-Überprüfung werden als authentifiziert betrachtet. Desweiteren werden alle Daten von lokalen, vertrauenswürdigen Quellen auch als authentifiziert berichtet, einschließlich der Auflösung des lokalen Rechnernamens, des Rechnernamens »localhost« oder aller Daten von /etc/hosts.

Der Schalter --type= kann dazu verwandt werden, den DNS-Ressourcen-Datensatztyp (A, AAAA, SOA, MX, …) festzulegen, um einen bestimmten DNS-Ressourcen-Datensatz statt des Nachschlagens der Adresse oder der inversen Adresse festzulegen. Der besondere Wert »help« kann zum Auflisten aller bekannten Werte verwandt werden.

Der Schalter --service kann zum Auflösen der Dienste SRV[1] und DNS-SD[2] (siehe unten) verwandt werden. In diesem Modus werden zwischen zwei und drei Parameter benötigt. Falls drei Parameter übergeben werden, wird der erste als DNS-SD-Dienstename, der zweite als SRV-Dienstetyp und der dritte als die in der zu suchenden Domain angenommen. In diesem Fall wird ein komplettes DNS-SD-artiges SRV- und TXT-Nachschlagen ausgeführt. Falls nur zwei Parameter festgelegt sind, wird der erste als SRV-Dienstetyp und der zweite als die in der zu suchenden Domain angenommen. In diesem Fall werden keine TXT-RR angefordert. Falls schließlich nur ein Parameter festgelegt ist, wird er als Domain-Name, dem bereits ein SRV-Typ vorangestellt wurde, angenommen und ein SRV-Nachschlagen wird durchgeführt (kein TXT).

Der Schalter --openpgp kann zur Abfrage von PGP-Schlüsseln, die als OPENPGPKEY[3]-Ressourcendatensätze gespeichert sind, verwandt werden. Wenn diese Option festgelegt ist, müssen eine oder mehrere E-Mail-Adressen festgelegt werden.

Der Schalter --tlsa kann zur Abfrage von öffentlichen TLS-Schlüsseln, die als TLSA[4]-Ressourcendatensätze gespeichert sind, verwandt werden. Wenn diese Option festgelegt ist, müssen eine oder mehrere Domain-Namen festgelegt werden.

Der Schalter --statistics kann zum Anzeigen der Auflöser-Statistiken, einschließlich der Informationen über die Anzahl der erfolgreichen und der fehlgeschlagenen DNSSEC-Überprüfungen, verwandt werden.

Der Schalter --reset-statistics kann zum Zurücksetzen der verschiedenen, vom Auflöser verwalteten Statistikzähler verwandt werden, einschließlich der in der Ausgabe von --statistics gezeigten. Diese Aktion benötigt Systemadministratorrechte.

OPTIONEN

-4, -6
    Standardmäßig werden sowohl die IPv4- als auch die IPv6-Adresse beim Auflösen eines Rechnernamens erlangt. Durch Angabe von -4 werden nur IPv4-Adressen angefragt, durch Angabe von -6 werden nur IPv6-Adressen angefragt.

-i SCHNITTSTELLE, --interface=SCHNITTSTELLE
    Legt die Netzschnittstelle fest, auf der die Anfrage ausgeführt wird. Die kann entweder als numerischer Schnittstellenindex oder als Netzwerkschnittstellenzeichenkette (z.B. »en0«) erfolgen. Beachten Sie, dass diese Optionen keinen Effekt hat, falls eine systemweite DNS-Konfiguration (wie in /etc/resolv.conf oder /etc/systemd/resolve.conf konfiguriert) vorhanden ist oder eine linkbasierte Konfiguration verwandt wird.

-p PROTOKOLL, --protocol=PROTOKOLL
    Legt das Netzwerkprotokoll für die Abfrage fest. Kann einer aus »dns« (d.h. klassisches unicast DNS), »llmnr« (Link-lokale multicast Namensauflösung[5]), »llmnr-ipv4«, »llmnr-ipv6« (LLMNR über die angezeigten unterliegenden IP-Protokolle), »mdns« (Multicast DNS[6]), »mdns-ipv4«, »mdns-ipv6« (MDNS über die angezeigten unterliegenden IP-Protokolle) sein. Standardmäßig erfolgt das Nachschlagen über alle für das Nachschlagen geeigneten Protokolle. Falls dies verwandt wird, schränkt es die zu verwendenden Protokolle ein. Verwenden Sie diese Option mehrfach, um die Auflösung über mehrere Protokolle gleichzeitig zu ermöglichen. Die Einstellung »llmnr« ist identisch zur Angabe dieses Schalters einmal mit »llmnr-ipv4« und einmal mit »llmnr-ipv6«. Beachten Sie, dass diese Option den Dienst nicht dazu zwingt, die Aktion mit dem angegebenen Protokoll aufzulösen, da dies eine geeignete Netzwerkschnittstelle und -konfiguration benötigen könnte. Der besondere Wert »help« kann zum Auflisten aller bekannten Werte verwandt werden.

-t TYP, --type=TYP, -c KLASSE, --class=KLASSE
    Legt den nachzuschlagenden DNS-Ressourcendatensatztyp (z.B. A, AAAA, MX, …) und -klasse (z.B. IN, ANY …) fest. Falls diese Option verwandt wird, wird ein DNS-Ressourcendatensatz mit passender Klasse und Typ angefragt. Falls nur ein Typ festgelegt ist, ist die Klasse standardmäßig IN. Der besondere Wert »help« kann zum Auflisten aller bekannten Werte verwandt werden.

--service
    Aktiviert Diensteauflösung. Dies aktiviert DNS-SD- und einfache SRV-Diensteauflösung, abhängig von der festgelegten Parameterliste (siehe oben).

--service-address=LOGISCH
    Akzeptiert einen logischen Parameter. Falls »true« (die Vorgabe) werden die in SRV-Ressourcendatensätzen enthaltenen Rechnernamen auch mit aufgelöst, wenn eine Diensteauflösung mit --service erfolgt.

--service-txt=LOGISCH
    Akzeptiert einen logischen Parameter. Falls »true« (die Vorgabe) wird auch der TXT-Dienstemetadatendatensatz aufgelöst, wenn eine DNS-SD-Diensteauflösung mit --service erfolgt.

--openpgp
    Aktiviert OPENPGPKEY-Ressourcendatensatzauflösung (siehe oben). Festgelegte E-Mail-Adressen werden zu dem entsprechenden DNS-Domain-Namen aufgelöst und alle OPENPGPKEY-Schlüssel werden ausgegeben.

--tlsa
    Aktiviert TLSA-Ressourcendatensatzauflösung (siehe oben). Eine Anfrage wird für jeden der festgelegten Namen (mit vorangestelltem Port und vorangestellter Familie, d.h. »_Port._Familie.Domain«) durchgeführt. Die Portnummer kann nach einem Doppelpunkt (»:«) festgelegt werden, andernfalls wird standardmäßig 443 verwandt. Die Familie kann als Argument nach --tlsa verwandt werden, andernfalls wird tcp verwandt.

--cname=LOGISCH
    Akzeptiert einen logischen Parameter. Falls true (die Vorgabe) wird DNS-CNAME- oder DNAME-Umleitungen gefolgt. Andernfalls wird ein Fehler zurückgeliefert, falls ein CNAME- oder DNAME-Datensatz bei der Auflösung angetroffen wird.

--search=LOGISCH
    Takes a boolean parameter. If true (the default), any specified single-label hostnames will be searched in the domains configured in the search domain list, if it is non-empty. Otherwise, the search domain logic is disabled.

--raw[=payload|packet]
    Gibt die Antwort als binäre Daten aus. Falls es kein Argument gibt oder falls das Argument »payload« lautet, werden die Nutzdaten des Pakets exportiert. Falls das Argument »packet« ist, wird das gesamte Paket im Leitungsformat ausgegeben, die Länge wird als 64-Bit-Zahl im Little-Endian-Format vorangestellt. Dieses Format erlaubt es, mehrere Pakete auszugeben und eindeutig auszuwerten.

--legend=LOGISCH
    Akzeptiert einen logischen Parameter. Falls true (die Vorgabe) werden die Spaltenköpfe und Metainformationen über die Abfrageantwort gezeigt. Andernfalls wird diese Ausgabe unterdrückt.

--statistics
    Falls angegeben, werden die allgemeinen Statistiken des Auflösers angezeigt, einschließlich Informationen, ob DNSSEC aktiviert und verfügbar ist und Auflösungs- und Überprüfungsstatistiken.

--reset-statistics
    Setzt die in --statistics gezeigten Statistikzähler auf Null zurück.

--flush-caches
    Leert alle DNS-Ressourcendatensatzzwischenspeicher, die der Dienst lokal verwaltet. Dies ist größtenteils äquivalent zum Senden von SIGUSR2 an den Dienst systemd-resolved.

--reset-server-features
    Leert alle Funktionalitätsstufeninformationen, die der Resolver über bestimmte Server gelernt hat und stellt sicher, dass die Serverüberprüfungslogik bei der nächsten Nachschlageanfrage von Anfang an gestartet wird. Dies ist größtenteils äquivalent zum Senden von SIGRTMIN+1 an den Dienst systemd-resolved.

--status
    Zeigt die derzeit effektiven globalen und linkbezogenen DNS-Einstellungen.

--set-dns=SERVER, --set-domain=DOMAIN, --set-llmnr=MODUS, --set-mdns=MODUS, --set-dnssec=MODUS, --set-nta=DOMAIN
    Setzt schnittstellenbasierte DNS-Konfiguration. Diese Schalter können zur Konfiguration verschiedener DNS-Einstellungen für Netzwerkschnittstellen verwandt werden, die nicht von systemd-networkd.service(8) verwaltet werden. (Diese Befehle schlagen fehl, wenn sie auf von systemd-networkd verwalteten Schnittstellen angewandt werden, konfigurieren Sie deren DNS-Einstellungen bitte stattdessen direkt in den .network-Dateien.) Diese Schalter können zum Informieren von systemd-resolved über schnittstellenbezogene DNS-Konfiguration, die mittels externer Mittel bestimmt werden, verwandt werden. Es können bei einem einzelnen Aufruf von systemd-resolve mehrere dieser Schalter übergeben werden, um mehrere Konfigurationsoptionen auf einmal zu setzen. Falls einer dieser Schalter verwandt wird, muss er mit --interface= kombiniert werden, um die Netzwerkschnittstelle anzuzeigen, zu der die neue DNS-Konfiguration gehört. Die Option --set-dns= erwartet eine IPv4- oder IPv6-Adressfestlegung eines zu verwendenden DNS-Servers und kann mehrfach verwandt werden, um mehrere Server für die gleiche Schnittstelle zu definieren. Die Option --set-domain= erwartet eine gültige DNS-Domain, möglicherweise mit vorangestelltem »~« und konfiguriert eine schnittstellenbezogene Such- und nur-Routing-Domain. Sie kann mehrfach angewandt werden, um mehrere solcher Domains zu konfigurieren. Die Optionen --set-llmnr=, --set-mdns= und --set-dnssec= können zur Konfiguration der schnittstellenbezogenen LLMNR-, MulticastDNS- und DNSSEC-Einstellungen verwandt werden. Schließlich kann --set-nta= verwandt werden, um zusätzliche linkbezogene DNSSEC-NTA-Domains zu konfigurieren. Dieser Schalter kann auch mehrfach verwandt werden. Für Details über diese Einstellungen, ihrer möglichen Werte und ihrer Effekte, siehe die zugehörigen Optionen in systemd.network(5).

--revert
    Setzt die schnittstellenbezogene DNS-Konfiguration zurück. Diese Option muss mit --interface= kombiniert werden, um Netzwerkschnittstellen anzuzeigen, deren DNS-Konfiguration zurückzusetzen ist. Falls die DNS-Konfiguration zurückgesetzt wird, werden alle schnittstellenbezogenen DNS-Einstellungen auf ihre Vorgaben zurückgesetzt, damit werden alle Effekte von --set-dns=, --set-domain=, --set-llmnr=, --set-mdns=, --set-dnssec= und --set-nta= rückgängig gemacht. Beachten Sie, dass sämtliche Konfiguration automatisch verloren geht, wenn eine Netzwerkschnittstelle verschwindet, ein explizites Zurücksetzen ist in diesem Fall nicht notwendig.

-h, --help
    zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    zeigt eine kurze Versionszeichenkette an und beendet das Programm.

--no-pager
    Die Ausgabe nicht an einen Pager weiterleiten.

BEISPIELE

Beispiel 1. Ermitteln der Adresse der Domain von »www.0pointer.net«

    $ systemd-resolve www.0pointer.net
    www.0pointer.net: 2a01:238:43ed:c300:10c3:bcf3:3266:da74
                      85.214.157.71
    -- Information acquired via protocol DNS in 611.6ms.
    -- Data is authenticated: no

Beispiel 2. Ermitteln der Domain der IP-Adresse »85.214.157.71«

    $ systemd-resolve 85.214.157.71
    85.214.157.71: gardel.0pointer.net
    -- Information acquired via protocol DNS in 1.2997s.
    -- Data is authenticated: no

Beispiel 3. Ermitteln des MX-Datensatzes der Domain »yahoo.com«

    $ systemd-resolve -t MX yahoo.com --legend=no
    yahoo.com. IN MX    1 mta7.am0.yahoodns.net
    yahoo.com. IN MX    1 mta6.am0.yahoodns.net
    yahoo.com. IN MX    1 mta5.am0.yahoodns.net

Beispiel 4. Auflösen eines SRV-Dienstes

    $ systemd-resolve --service _xmpp-server._tcp gmail.com
    _xmpp-server._tcp/gmail.com: alt1.xmpp-server.l.google.com:5269 [priority=20, weight=0]
                                 173.194.210.125
                                 alt4.xmpp-server.l.google.com:5269 [priority=20, weight=0]
                                 173.194.65.125
                                 ...

Beispiel 5. Ermitteln eines PGP-Schlüssels

    $ systemd-resolve --openpgp zbyszek@fedoraproject.org
    d08ee310438ca124a6149ea5cc21b6313b390dce485576eff96f8722._openpgpkey.fedoraproject.org. IN OPENPGPKEY
            mQINBFBHPMsBEACeInGYJCb+7TurKfb6wGyTottCDtiSJB310i37/6ZYoeIay/5soJjlMyf
            MFQ9T2XNT/0LM6gTa0MpC1st9LnzYTMsT6tzRly1D1UbVI6xw0g0vE5y2Cjk3xUwAynCsSs
            ...

Beispiel 6. Ermitteln eines TLS-Schlüssel (»=tcp« und »:443« könnten entfallen)

    $ systemd-resolve --tlsa=tcp fedoraproject.org:443
    _443._tcp.fedoraproject.org IN TLSA 0 0 1 19400be5b7a31fb733917700789d2f0a2471c0c9d506c0e504c06c16d7cb17c0
            -- Cert. usage: CA constraint
            -- Selector: Full Certificate
            -- Matching type: SHA-256

SIEHE AUCH

systemd(1), systemd-resolved.service(8), systemd.dnssd(5), systemd-networkd.service(8)

ANMERKUNGEN

1.  SRV
    https://tools.ietf.org/html/rfc2782

2.  DNS-SD
    https://tools.ietf.org/html/rfc6763

3.  OPENPGPKEY
    https://tools.ietf.org/html/rfc7929

4.  TLSA
    https://tools.ietf.org/html/rfc6698

5.  Linklokale multicast Namensauflösung
    https://tools.ietf.org/html/rfc4795

6.  Multicast DNS
    https://www.ietf.org/rfc/rfc6762.txt

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.